curl --request PATCH \
--url {{BASE_URL}}/v2/user/{user_id}/info \
--header 'Accept: application/json' \
--header 'x-vital-api-key: <API_KEY>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "John",
"last_name": "Doe",
"email": "john@email.com",
"phone_number":"+1123123123",
"gender": "Male",
"dob": "1999-01-01",
"address": {
"first_line": "Some Street",
"second_line": null,
"zip_code": "85004",
"state": "AZ",
"city": "Phoenix"
}
}
'
{
"first_name": "John",
"last_name": "Doe",
"email": "john@email.com",
"phone_number":"+1123123123",
"gender": "Male",
"dob": "1999-01-01",
"address": {
"first_line": "Some Street",
"second_line": null,
"zip_code": "85004",
"state": "AZ",
"city": "Phoenix"
}
}
User Management
Update User Demographics
Partially update user info via the Junction API. Requires authentication with your team API key.
PATCH
/
v2
/
user
/
{user_id}
/
info
curl --request PATCH \
--url {{BASE_URL}}/v2/user/{user_id}/info \
--header 'Accept: application/json' \
--header 'x-vital-api-key: <API_KEY>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "John",
"last_name": "Doe",
"email": "john@email.com",
"phone_number":"+1123123123",
"gender": "Male",
"dob": "1999-01-01",
"address": {
"first_line": "Some Street",
"second_line": null,
"zip_code": "85004",
"state": "AZ",
"city": "Phoenix"
}
}
'
{
"first_name": "John",
"last_name": "Doe",
"email": "john@email.com",
"phone_number":"+1123123123",
"gender": "Male",
"dob": "1999-01-01",
"address": {
"first_line": "Some Street",
"second_line": null,
"zip_code": "85004",
"state": "AZ",
"city": "Phoenix"
}
}
Patient name fields (
first_name, last_name) must follow specific validation rules due to lab restrictions. See Patient Name Validation for complete details.curl --request PATCH \
--url {{BASE_URL}}/v2/user/{user_id}/info \
--header 'Accept: application/json' \
--header 'x-vital-api-key: <API_KEY>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "John",
"last_name": "Doe",
"email": "john@email.com",
"phone_number":"+1123123123",
"gender": "Male",
"dob": "1999-01-01",
"address": {
"first_line": "Some Street",
"second_line": null,
"zip_code": "85004",
"state": "AZ",
"city": "Phoenix"
}
}
'
{
"first_name": "John",
"last_name": "Doe",
"email": "john@email.com",
"phone_number":"+1123123123",
"gender": "Male",
"dob": "1999-01-01",
"address": {
"first_line": "Some Street",
"second_line": null,
"zip_code": "85004",
"state": "AZ",
"city": "Phoenix"
}
}
Authorizations
Vital Team API Key
Path Parameters
Body
application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
ℹ️ This enum is non-exhaustive.
Available options:
african_american_or_black, asian, indigenous_native_american_alaska_native, other, pacific_islander_or_hawaiian, white_caucasian ℹ️ This enum is non-exhaustive.
Available options:
hispanic, non_hispanic, ashkenazi_jewish, other ℹ️ This enum is non-exhaustive.
Available options:
lesbian_gay_or_homosexual, heterosexual_or_straight, bisexual, dont_know, other ℹ️ This enum is non-exhaustive.
Available options:
male, female, female_to_male_ftm_transgender_male_trans_man, male_to_female_mtf_transgender_female_trans_woman, genderqueer, other Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
ℹ️ This enum is non-exhaustive.
Available options:
african_american_or_black, asian, indigenous_native_american_alaska_native, other, pacific_islander_or_hawaiian, white_caucasian ℹ️ This enum is non-exhaustive.
Available options:
hispanic, non_hispanic, ashkenazi_jewish, other ℹ️ This enum is non-exhaustive.
Available options:
lesbian_gay_or_homosexual, heterosexual_or_straight, bisexual, dont_know, other ℹ️ This enum is non-exhaustive.
Available options:
male, female, female_to_male_ftm_transgender_male_trans_man, male_to_female_mtf_transgender_female_trans_woman, genderqueer, other Was this page helpful?